/****************************************************************************
Copyright 2015-2020, Enrique Sergio Burgos

This file is part of GUI Editor for Octave.

GUI Editor for Octave is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

GUI Editor is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with GUI Editor.  If not, see <http://www.gnu.org/licenses/>.
****************************************************************************/
#ifndef dlgNewFile_H
#define dlgNewFile_H

#include <QDialog>
#include "guiproject.h"

namespace Ui {
class dlgNewFile;
}

class dlgNewFile : public QDialog
{
    Q_OBJECT
private:
    guiProject *prj;
public:
    explicit dlgNewFile(guiProject *prj, QWidget *parent = 0);
    ~dlgNewFile();
    Ui::dlgNewFile *ui;
private slots:

    void on_leFileName_textChanged(const QString &arg1);    
private:

};

#endif // dlgNewFile_H
