#-------------------------------------------------
#
# Project created by QtCreator 2015-07-08T08:15:17
#
#-------------------------------------------------

QT       += core gui serialport

greaterThan(QT_MAJOR_VERSION, 4): QT += widgets

TARGET = guiEditor
TEMPLATE = app

TRANSLATIONS = srcGuiEditor_en.ts \
	srcGuiEditor_sp.ts 
CONFIG += static staticlib

LIBS += -L$$OUT_PWD/../QScintilla_src-2.14.0/src
LIBS += -L$$OUT_PWD/../QScintilla_src-2.14.0/src/release
LIBS += -L$$OUT_PWD/../QScintilla_src-2.14.0/src/debug
LIBS += -lqscintilla2_qt5

SOURCES += main.cpp\
    buttongroupctrl.cpp \
    consolelogitem.cpp \
    dlgconfirmonclose.cpp \
    dlgfilechanged.cpp \
    dlgfiledeleted.cpp \
    dlgprjprop.cpp \
    editablebuttongroup.cpp \
    dlgiconchooser.cpp \
    mainwnd.cpp \
    framedlg.cpp \
    adjpointtopleftclass.cpp \
    adjpointbottomleftclass.cpp \
    adjpointmidleleftclass.cpp \
    adjpointtoprightclass.cpp \
    adjpointmidlerightclass.cpp \
    adjpointbottomrightclass.cpp \
    adjpointtopmidleclass.cpp \
    adjpointbottommidleclass.cpp \
    abstractuicctrl.cpp \
    editablelineedit.cpp \
    editablebutton.cpp \
    editabletext.cpp \
    editctrl.cpp \
    buttonctrl.cpp \
    dlgsetupargs.cpp \
    painthidden.cpp \
    setupwizard.cpp \
    textctrl.cpp \
    storagemanager.cpp \
    commonproperties.cpp \
    controlgenerator.cpp \
    wdgclrchooser.cpp \
    cmbctrl.cpp \
    editablecmb.cpp \
    wdgiconchooser.cpp \
    wdgitemeditor.cpp \
    dlgitemedit.cpp \
    editablelist.cpp \
    listctrl.cpp \
    editableframe.cpp \
    framectrl.cpp \
    checkboxctrl.cpp \
    editablecheckbox.cpp \
    radiobuttonctrl.cpp \
    editableradiobutton.cpp \
    editabletoggle.cpp \
    togglectrl.cpp \
    editableslider.cpp \
    sliderctrl.cpp \
    editableimg.cpp \
    imgctrl.cpp \
    dlgappconfig.cpp \
    configsettings.cpp \
    dlgabout.cpp \
    editableANano.cpp \
    ananoctrl.cpp \
    editableNodeMCU.cpp \
    nodeMCUctrl.cpp \
    editableEduCIAA.cpp \
    eduCIAACtrl.cpp \
    editablegrouppanel.cpp \
    grouppanelctrl.cpp \
    guiproject.cpp \
    projectitem.cpp \
    dlgnewproject.cpp \
    prjtreewidget.cpp \
    dlgnewfile.cpp \
    childwnddlg.cpp \
    childwndmfile.cpp \
    wdgmfileeditor.cpp \
    childwndimg.cpp \
    childwndtextfile.cpp \
    dlgpkggen.cpp \
    callbackctrl.cpp \
    editablecallback.cpp \
    wdgargeditor.cpp \
    dlgardprg.cpp \
    prgArduino/actcheckmem.cpp \
    prgArduino/actenableprogram.cpp \
    prgArduino/actleaveprg.cpp \
    prgArduino/actsetdevparam.cpp \
    prgArduino/actsignature.cpp \
    prgArduino/actsoftversion.cpp \
    prgArduino/actsync.cpp \
    prgArduino/actwritemem.cpp \
    prgArduino/commanager.cpp \
    prgArduino/hexfile.cpp \
    prgArduino/prgaction.cpp \
    prgArduino/sccheckmem.cpp \
    prgArduino/scenableprgm.cpp \
    prgArduino/scgetparam.cpp \
    prgArduino/scleaveprg.cpp \
    prgArduino/scloadpage.cpp \
    prgArduino/scsetdevparam.cpp \
    prgArduino/scsignature.cpp \
    prgArduino/scsync.cpp \
    prgArduino/scwritemem.cpp \
    prgArduino/serialcmd.cpp \
    wdgproject.cpp \
    wdgprop.cpp \
    wdgdebug.cpp \
    wdgsrceditor.cpp \
    editabletable.cpp \
    tablectrl.cpp

HEADERS  += mainwnd.h \
    buttongroupctrl.h \
    consolelogitem.h \
    dlgconfirmonclose.h \
    dlgfilechanged.h \
    dlgfiledeleted.h \
    dlgprjprop.h \
    editablebuttongroup.h \
    framedlg.h \
    adjpointtopleftclass.h \
    adjpointbottomleftclass.h \
    adjpointmidleleftclass.h \
    adjpointtoprightclass.h \
    adjpointmidlerightclass.h \
    adjpointbottomrightclass.h \
    adjpointtopmidleclass.h \
    adjpointbottommidleclass.h \
    abstractuicctrl.h \
    editablelineedit.h \
    editablebutton.h \
    editabletext.h \
    editctrl.h \
    buttonctrl.h \
    dlgiconchooser.h \
    dlgsetupargs.h \
    painthidden.h \
    setupwizard.h \
    textctrl.h \
    tblwdgitempropertyvalue.h \
    storagemanager.h \
    commonproperties.h \
    controlgenerator.h \
    wdgclrchooser.h \
    cmbctrl.h \
    editablecmb.h \
    wdgiconchooser.h \
    wdgitemeditor.h \
    dlgitemedit.h \
    editablelist.h \
    listctrl.h \
    editableframe.h \
    framectrl.h \
    checkboxctrl.h \
    editablecheckbox.h \
    editableradiobutton.h \
    radiobuttonctrl.h \
    editabletoggle.h \
    togglectrl.h \
    editableslider.h \
    sliderctrl.h \
    editableimg.h \
    imgctrl.h \
    dlgappconfig.h \
    configsettings.h \
    dlgabout.h \
    editableANano.h \
    ananoctrl.h \
    editableNodeMCU.h \
    nodeMCUctrl.h \
    editableEduCIAA.h \
    eduCIAACtrl.h \
    editablegrouppanel.h \
    grouppanelctrl.h \
    guiproject.h \
    projectitem.h \
    dlgnewproject.h \
    prjtreewidget.h \
    dlgnewfile.h \
    childwnddlg.h \
    childwndmfile.h \
    wdgmfileeditor.h \
    childwndimg.h \
    childwndtextfile.h \
    dlgpkggen.h \
    callbackctrl.h \
    editablecallback.h \
    wdgargeditor.h \
    dlgardprg.h \
    prgArduino/actcheckmem.h \
    prgArduino/actenableprogram.h \
    prgArduino/actleaveprg.h \
    prgArduino/actsetdevparam.h \
    prgArduino/actsignature.h \
    prgArduino/actsoftversion.h \
    prgArduino/actsync.h \
    prgArduino/actwritemem.h \
    prgArduino/commanager.h \
    prgArduino/command.h \
    prgArduino/Devices.h \
    prgArduino/hexfile.h \
    prgArduino/prgaction.h \
    prgArduino/sccheckmem.h \
    prgArduino/scenableprgm.h \
    prgArduino/scgetparam.h \
    prgArduino/scleaveprg.h \
    prgArduino/scloadpage.h \
    prgArduino/scsetdevparam.h \
    prgArduino/scsignature.h \
    prgArduino/scsync.h \
    prgArduino/scwritemem.h \
    prgArduino/serialcmd.h \
    wdgproject.h \
    wdgprop.h \
    wdgdebug.h \
    wdgsrceditor.h \
    guiEditorVersion.h \
    editabletable.h \
    tablectrl.h

FORMS += mainwnd.ui \
    dlgconfirmonclose.ui \
    dlgfilechanged.ui \
    dlgfiledeleted.ui \
    dlgiconchooser.ui \
    dlgprjprop.ui \
    dlgsetupargs.ui \
    wdgclrchooser.ui \
    wdgiconchooser.ui \
    wdgitemeditor.ui \
    dlgitemedit.ui \
    dlgappconfig.ui \
    dlgabout.ui \
    dlgnewproject.ui \
    dlgnewfile.ui \
    wdgmfileeditor.ui \
    dlgpkggen.ui \
    wdgargeditor.ui \
    dlgardprg.ui \
    wdgproject.ui \
    wdgprop.ui \
    wdgdebug.ui \
    wdgsrceditor.ui

INCLUDEPATH += ../QScintilla_src-2.14.0/src
INCLUDEPATH += ../QScintilla_src-2.14.0/scintilla/include

RESOURCES += \
    resources.qrc

RC_ICONS = ../iconos/guiEditor_icon.ico

OTHER_FILES += \
    modelo_doc.txt

TRANSLATIONS =    guiEditor_sp.ts \
    guiEditor_en.ts

transSp.tarjet = guiEditor_sp.qm
transSp.commands = lrelease \"$$_PRO_FILE_PWD_\"/guiEditor_sp.ts -qm guiEditor_sp.qm

transEn.tarjet = guiEditor_en.qm
transEn.commands = lrelease \"$$_PRO_FILE_PWD_\"/guiEditor_en.ts -qm guiEditor_en.qm


unix{
  QMAKE_LFLAGS += -no-pie
}

QMAKE_EXTRA_TARGETS += transSp
QMAKE_EXTRA_TARGETS += transEn

POST_TARGETDEPS += transSp
POST_TARGETDEPS += transEn
