#include "dlgconfirmonclose.h"
#include "ui_dlgconfirmonclose.h"

dlgConfirmOnClose::dlgConfirmOnClose(QWidget *parent) :
    QDialog(parent),
    ui(new Ui::dlgConfirmOnClose)
{
    ui->setupUi(this);
}

void dlgConfirmOnClose::setProjectName(QString name){
    ui->labPrjName->setText(ui->labPrjName->text()  + name);
}

dlgConfirmOnClose::~dlgConfirmOnClose()
{
    delete ui;
}

void dlgConfirmOnClose::on_btnSaveAndClose_clicked()
{
    this->done(saveAndClose);
}

void dlgConfirmOnClose::on_btnDontSaveClose_clicked()
{
    this->done(dontSaveAndClose);
}

void dlgConfirmOnClose::on_btnCancel_clicked()
{
    this->done(cancelAndReturn);
}
