#ifndef DLGCONFIRMONCLOSE_H
#define DLGCONFIRMONCLOSE_H

#include <QDialog>

namespace Ui {
class dlgConfirmOnClose;
}
typedef enum{
    cancelAndReturn = 0,
    saveAndClose = 1,
    dontSaveAndClose = 2
}closeType;

class dlgConfirmOnClose : public QDialog
{
    Q_OBJECT

public:
    explicit dlgConfirmOnClose(QWidget *parent = nullptr);
    void setProjectName(QString name);
    ~dlgConfirmOnClose();

private slots:
    void on_btnSaveAndClose_clicked();

    void on_btnDontSaveClose_clicked();

    void on_btnCancel_clicked();

private:
    Ui::dlgConfirmOnClose *ui;
};

#endif // DLGCONFIRMONCLOSE_H
